/**************************************************************************
/* This class demonstrates the emulation of enumerations.
/*
/* Copyright (c) 2004 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import java.util.*;

/**
   This class demonstrates  the emulation of enumerations.

   @version $Revision: 1.1 $
   @author  $Author: bablokb $
*/

public class EnumDemo {

  private int iValue;

  //////////////////////////////////////////////////////////////////////////////

  /**
     Private Constructor.
  */

  private EnumDemo(int i) {
    iValue = i;
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Enumeration-objects. These can be compared.
  */

  public static final EnumDemo RED   = new EnumDemo(1);
  public static final EnumDemo WHITE = new EnumDemo(2);
  public static final EnumDemo BLUE  = new EnumDemo(3);
}
